use notify_rust::{Notification, Timeout};
use crate::config;

pub fn send_update_available() -> Option<notify_rust::NotificationHandle> {
    Notification::new()
        .summary("Parrot Updater")
        .body("A new update is available.")
        .icon(config::ICON)
        .timeout(Timeout::Milliseconds(config::NOTIFICATION_TIMEOUT_MS))
        .action("open_gui", "Update Now")
        .show()
        .ok()
}
